from random import randint

x = randint(1, 100)
y = randint(1, 100)
print(f'Wylosowane liczby: x = {x} , y = {y}')

# and , logiczna koniunkcja , jest prawdą, gdy oba warunki są prawdziwe
if x > 50 and y > 50:
    print('and jest prawdą')
    print('Obie liczby są > 50')
else:
    print('and jest nieprawdą')
    print('Co najmniej jedna z liczb nie jest większa od 50')
print()

# or , logiczna alterantywa , jest prawdą, gdy co najmniej jeden warunek są prawdziwy
if x > 50 or y > 50:
    print('or jest prawdą')
    print('Co najmniej jedna z liczb jest > 50')
else:
    print('or jest nieprawdą')
    print('Żadna liczba nie jest większa od 50')
print()

# Sprawdzanie, czy liczba znajduje się w określonym przedziale, można w Pythonie zapisać na kilka sposobów:
# Przykład: czy x należy do przedziału od 30 włącznie do 60 wyłączając:
# sposób 1, jak w wielu innych językach: spójnik and
if x >= 30 and x < 60:
    print('AAA prawda')
else:
    print('AAA fałsz')

# sposób 2 - porównanie obustronne, rzecz dostępna w Pythonie, a niedostępna w wielu innych językach:
if 30 <= x < 60:
    print('BBB prawda')
else:
    print('BBB fałsz')

# można rozciągać na wiele wartości, np if 10 < x < y < 50: ...

# sposób 3, tylko dla liczb całkowitych:
# często spotykany zapis (bo ładnie wygląda :) ), ale jest odrobinkę mniej wydajny od sposbobu 2
if x in range(30, 60):
    print('CCC prawda')
else:
    print('CCC fałsz')